File: datastores.inc

package info (click to toggle)
openstack-trove 1%3A24.0.0-2
  • links: PTS, VCS
  • area: main
  • in suites: forky
  • size: 6,976 kB
  • sloc: python: 50,665; sh: 2,866; makefile: 71
file content (66 lines) | stat: -rw-r--r-- 992 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
.. -*- rst -*-

==========
Datastores
==========




List datastores
~~~~~~~~~~~~~~~

.. rest_method::  GET /v1.0/{project_id}/datastores

Get all the datastores registered in the system

Request
-------

.. rest_parameters:: parameters.yaml

   - project_id: project_id

Response Example
----------------

.. literalinclude:: samples/datastore-list-response.json
   :language: javascript


Show datastore details
~~~~~~~~~~~~~~~~~~~~~~

.. rest_method::  GET /v1.0/{project_id}/datastores/{datastore}

Shows datastore details

Request
-------

.. rest_parameters:: parameters.yaml

   - project_id: project_id
   - datastore: data_store

Response Example
----------------

.. literalinclude:: samples/datastore-show-response.json
   :language: javascript


Delete datastore
~~~~~~~~~~~~~~~~

.. rest_method::  DELETE /v1.0/{project_id}/datastores/{datastore}

Delete a datastore.

Request
-------

.. rest_parameters:: parameters.yaml

   - project_id: project_id
   - datastore: data_store